package com.jjt.biz.controller;

import com.jjt.biz.domain.DeviceInfo;
import com.jjt.biz.domain.KeyInfo;
import com.jjt.biz.domain.VenueInfo;
import com.jjt.biz.domain.WifiInfo;
import com.jjt.biz.service.*;
import com.jjt.common.annotation.Log;
import com.jjt.common.core.controller.BaseController;
import com.jjt.common.core.domain.AjaxResult;
import com.jjt.common.core.page.TableDataInfo;
import com.jjt.common.enums.BusinessType;
import com.jjt.common.utils.poi.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 关键字Controller
 *
 * @author ruoyi
 * @date 2023-07-06
 */
@RestController
@RequestMapping("/api")
public class ApiController extends BaseController {
    @Resource
    private IDeviceInfoService deviceInfoService;
    @Resource
    private IWifiInfoService wifiInfoService;
    @Resource
    private IBluetoothInfoService bluetoothInfoService;
    @Resource
    private IVenueInfoService venueInfoService;

    /**
     * 设备注册接口
     */
    @Log(title = "设备", businessType = BusinessType.INSERT)
    @PostMapping("/device")
    public AjaxResult device(DeviceInfo deviceInfo) {
        return toAjax(deviceInfoService.insertDeviceInfo(deviceInfo));
    }

    /**
     * WIFI上传
     */
    @Log(title = "WIFI", businessType = BusinessType.INSERT)
    @PostMapping("/wifi")
    public AjaxResult wifi(List<WifiInfo> infoList) {
        return null;
    }

    /**
     * 蓝牙上传
     */
    @Log(title = "蓝牙", businessType = BusinessType.INSERT)
    @PostMapping("/bluetooth")
    public AjaxResult bluetooth(List<WifiInfo> infoList) {
        return null;
    }

    /**
     * 获取场馆信息
     */
    @GetMapping("/venue")
    public TableDataInfo venue() {
        List<VenueInfo> list = venueInfoService.selectVenueInfoList(null);
        return getDataTable(list);
    }
}
